<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script>
function doHintSearch( searchText )
{
	//alert( textSearch );
	let popup = document.getElementById( "popupHintSearch" );
	const request = new XMLHttpRequest();
	request.open('GET', "pubexecuter?module=contract.password&action=AccessRestore&operation=doHintSearch&searchText=" + searchText );
	request.setRequestHeader('Content-Type', 'application/x-www-form-url');
	request.addEventListener("readystatechange", () => {
		let json = JSON.parse( request.responseText );
		let html = "";
		json.result.forEach(function(entry) {
		    html = html + "<div class=\"hintResult\" style=\"font-size: 1.3rem;\">" + entry.address + "</div>";
		});
		popup.innerHTML = html;
		popup.style.display = 'block';
	} );
	request.send();
	return true;
}
</script>

<div class="areaContainer"> 
	<div class="areaSelect" style="width: 15rem; min-width: 15rem;">
		<form method="post" action="pubexecuter" name="buttons">
		<input type="hidden" name="module" value="contract.function">
		<input type="hidden" name="action" value="AccessRestore">
		<input type="hidden" name="button" value="">
		<div class="vButtons">
			<c:set var="buttonSelect"><c:if test="${buttonSelectKey eq 'restore'}">buttonSelect</c:if></c:set>
			<div class="button ${buttonSelect}" onclick="document.forms['buttons'].button.value='restore'; document.forms['buttons'].submit();">востановить пароль</div>
		</div>
		<div class="labelText labelFont labelTextMarginTop">Найти договор:</div>
		<div class="vButtons">
			<c:forEach var="searchModule" items="${searchModules}">
			<c:set var="buttonSelect"><c:if test="${buttonSelectKey eq searchModule.key}">buttonSelect</c:if></c:set>
			<div class="button ${buttonSelect}" onclick="document.forms['buttons'].button.value='${searchModule.key}'; document.forms['buttons'].submit();">${searchModule.value}</div>
			</c:forEach>
			<c:if test="${empty searchModules}"><div style="border: 0px; text-align: center; font-style: italic;">поисковые модули не настроены</div></c:if>
		</div>
		</form>
	</div>
	<div class="areaBody">
	<c:choose>
		<c:when test="${buttonSelectKey ne 'restore'}">
			<form method="post" action="pubexecuter" name="search">
			<input type="hidden" name="module" value="contract.function">
			<input type="hidden" name="action" value="AccessRestore">
			<input type="hidden" name="button" value="${buttonSelectKey}">
			<input type="hidden" name="contract" value="">
			
			<div class="labelText labelFont">Поиск договора ${contractSearchTitle}</div>
			<c:if test="${useHintSearch}"><c:set var="searchOninput">oninput="return doHintSearch( this.value );"</c:set></c:if>
			<div class="inputMarginTop" style="position: relative;"><input type="text" name="searchText" class="textField textFont" style="" value="${searchText}" placeholder="${searchTextPlaceHolder}" autocomplete="off" ${searchOninput}>
				<div id="popupHintSearch" style="display: none; position: absolute; top: 3rem; width: calc(100% - 2rem); z-index: 100; border: 1px solid red; background-color: white; border-radius: 10px; padding: 1rem; font-size: 1.5rem;">fajsdfhkasdh</div>
			</div>
			<div class="labelComment">${searchTextComment}</div>
			<div style="margin: 30px 0px; text-align: right;"><input type="submit" value="ИСКАТЬ" class="button" style="padding: 10px 20px;" /></div>
			<c:if test="${searchResult != null}">
				<div class="labelText labelFont labelTextMarginTop" style="margin-bottom: 20px;">Результаты поиска</div>
				<c:choose>
					<c:when test="${not empty searchResult}">
						<c:forEach var="item" items="${searchResult}">
						<div class="flexRow" style="margin-top: 30px;">
							<div>
								<div class="labelFont" style="">${item.contractTitle}</div>
								<c:if test="${not empty item.verifyTitle}"><div style="margin: 10px 20px; font-style: italic;">${item.verifyTitle}: ${item.verifyValue}</div></c:if>
							</div>
							<div><button class="selectContract" onclick="document.forms['search'].button.value='restore'; document.forms['search'].contract.value='${item.contractTitle}'; document.forms['buttons'].submit();">ВЫБРАТЬ</button></div>
						</div>
						</c:forEach>
					</c:when>
					<c:otherwise>
						<div style="text-align: center; font-style: italic;">Договора не найдены</div>
					</c:otherwise>
				</c:choose>
			</c:if>
			</form>
		</c:when>
		<c:otherwise>
<c:if test="${empty status}">
	<div class="text">Для воcстановления пароля введите номер Вашего договора и e-mail (указанный в договоре для функции восcтановления пароля). 
		Дальнейшие инструкции по воcстановлению пароля будут высланы на указанный e-mail.</div>
	<form method="post" action="pubexecuter">
		<input type="hidden" name="action" value="AccessRestore" />
		<input type="hidden" name="module" value="contract.function" />
		<div class="labelText labelFont labelTextMarginTop">Номер договора:</div>
		<div class="inputMarginTop"><input type="text" name="contract" class="textField textFont" value="${userName}"></div>
		<div class="labelComment">Введите номер договора. Если не помните номер договора, попробуйте найти договор с помощью поиска.</div>
		
		<c:if test="${not empty maskEmail}">
		<div class="labelText labelFont labelTextMarginTop">Ваши e-mail:</div>
		<ul class="e-mails">
		<c:forEach var="item" items="${maskEmail}">
			<li class="listItem">${item}</li>
		</c:forEach>
		</ul>
		<div class="labelText labelFont labelTextMarginTop">E-mail:</div>
		<div class="inputMarginTop"><input type="text" name="email" class="textField textFont"></div>
		<div class="labelComment">Введите один из E-mail указанный в списке выше, на этот адрес будут высланы данные для смены пароля.</div>
		</c:if>
		<div style="margin: 30px 0px; text-align: right;"><input type="submit" value="ДАЛЕЕ" class="button" style="padding: 10px 20px;" /></div>
	</form>
</c:if>
<c:if test="${not empty error}">
	<c:choose>
		<c:when test="${error eq 'contractNotFound'}">
			<div class="errorMessage">
				<b>ОШИБКА: Договор не найден</b><br/>
				Введенный Вами номер договора (${userName}) не найден в базе данных. Проверьте правильность ввода номера договора.
			</div>
		</c:when>
		<c:when test="${error eq 'emailNotValid'}">
			<div class="errorMessage">
				<b>ОШИБКА: Неправильный Email</b><br/>
				Введенный Вами Email (${errorEmail}) не совпадает с email указанным в договоре (${userName}) для функции восcтановления пароля.
			</div>
		</c:when>
		<c:when test="${error eq 'emailNotFound'}">
			<div class="errorMessage">
				<b>ОШИБКА: Функция воcстановления пароля заблокирована</b><br/>
				Для указанного договора "${userName}" функция воcстановления пароля заблокирована. За дополнительной информацией обратитесь в тех. поддержку оператора.
			</div>
		</c:when>
		<c:otherwise>
			<div class="errorMessage">
				<b>ОШИБКА: Неизвестная</b><br/>
				это что то новенькое!!! [error = '${error}'] Свяжитесь с разработчиками!
			</div>
			<h3></h3>
		</c:otherwise>
	</c:choose>
</c:if>
<c:if test="${status eq 'ok'}"><div class="infoMessage">Дальнейшие инструкции по воcстановлению пароля высланы на указанный Вами E-mail.</div></c:if>
</c:otherwise>
</c:choose>
	</div>
</div>